#pragma once

#include "IFontEngine.h"

#include "Image.h"
#include "FontGlyph.h"

class BasicFontEngine : public IFontEngine
{
    virtual void initialize(){};

    virtual void loadFontFace(const std::filesystem::path&, float){};

    virtual std::unique_ptr<FontGlyph> loadGlyph(unsigned){return nullptr;};

    double getHorizontalAdvance(const FontItem& fontItem, const std::string& content) override
    {
        return 0.0;
    }
};
